$(function() {

	if (!document.getElementById) { return; }
	
	if (document.getElementById('edit-entry'))

	{
		//Set tags list
		if (document.getElementById('post_tags')) {
			var default_post_tags = $("textarea[name=default_post_tags]").val();
			$("textarea[name=post_tags]").val(default_post_tags);
		}
		
		//Set pings checkboxes
		
		
		dotclear.hideLockable();
		
		// Get document format and prepare toolbars

		var formatField = $('#post_format').get(0);
		$(formatField).change(function() {
			excerptTb.switchMode(this.value);
			contentTb.switchMode(this.value);
		});

		var excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
		var contentTb = new jsToolBar(document.getElementById('post_content'));
		excerptTb.context = contentTb.context = 'post';
		
		// Load toolbars
		
		$('#excerpt-area label').toggleWithLegend($('#excerpt-area').children().not('label'),{
		   fn: function() { excerptTb.switchMode(formatField.value); },
		   cookie: 'dcx_post_excerpt',
		   hide: $('#post_excerpt').val() == ''
	  	});
	  	contentTb.switchMode(formatField.value);
		
		//Date picker
		
		var post_dtPick = new datePicker($('#post_dt').get(0));
		post_dtPick.img_top = '1.5em';
		post_dtPick.draw();
		
		// Hide some fields
		$('#notes-area label').toggleWithLegend($('#notes-area').children().not('label'),{
			cookie: 'dcx_post_notes',
			hide: $('#post_notes').val() == ''
		});
		$('#post_lang').parent().toggleWithLegend($('#post_lang'),{
			cookie: 'dcx_post_lang'
		});
		$('#post_password').parent().toggleWithLegend($('#post_password'),{
			cookie: 'dcx_post_password',
			hide: $('#post_password').val() == ''
		});
		
		//Get pings and tags list
		
		$('#entry-form').submit(function() {
			//Tags
			var tagsList = $("input[name=post_tags]").val();
			$('#default_post_tags').val(tagsList);
			//Pings
			var pingsList = [];
			$('input[name=pings_do\[\]]').each(function() {
				if ($(this).attr('checked')) {
					pingsList.push($(this).val());
				} else {
					pingsList.push("");
				}
			});
			pingsList.join(',');
			$('#default_post_pings').val(pingsList);
			
			return true;

		});
		
	}
});